Subject: Pine 4.03 compilation problem: init_debug

From: [email-masked]
Date: Mon, 7 Sep 1998 19:22:07 -0700 (PDT)

I am compiling Pine 4.03 under FreeBSD 2.2.6 and am getting the following
error when I attempt to compile with -DDEBUG commented out in 
pine/makefile.bsf:

cc  -O2      -DBSDI -DSYSTYPE=\"BSF\" -DMOUSE -o pine addrbook.o
adrbkcmd.o adrbklib.o args.o bldaddr.o context.o filter.o  folder.o help.o
helptext.o imap.o init.o mailcap.o mailcmd.o  mailindx.o mailpart.o
mailview.o newmail.o other.o pine.o  reply.o screen.o send.o signals.o
status.o strings.o takeaddr.o  os.o date.c  ../pico/libpico.a
../c-client/c-client.a  -ltermlib  `cat ../c-client/LDFLAGS`
bldaddr.o: Undefined symbol `_init_debug' referenced from text segment
*** Error code 1

Stop.

This happens right at the very end of compilation and is the only error,
but it prevents the pine executable from being compiled. The error does
not occur if I compile with -DDEBUG, but who wants a 4 MB executable...

Suggestions?

   - Mike

______________________________________________________________________
 Mike Brown / Hyperreal   |     Director, Hyperreal Music Archive
 PO Box 61334             |      http://www.hyperreal.org/music/
 Denver CO 80206-8334 USA |

-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------